# Class GetPaymentAccountFormRequest

#### Hierarchy

- unknown
  - GetPaymentAccountFormRequest

- Defined in src/protobuf/grpc_pb.d.ts:1904
- Defined in src/protobuf/grpc_pb.d.ts:1921

#####
Index

### Constructors

constructor

### Methods

clearPaymentAccountPayload
getPaymentAccountPayload
getPaymentMethodId
hasPaymentAccountPayload
serializeBinary
setPaymentAccountPayload
setPaymentMethodId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPaymentAccountFormRequest(): GetPaymentAccountFormRequest

- #### Returns GetPaymentAccountFormRequest

  Inherited from jspb.Message.constructor

## Methods

### clearPaymentAccountPayload

- clearPaymentAccountPayload(): GetPaymentAccountFormRequest

- #### Returns GetPaymentAccountFormRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1911

### getPaymentAccountPayload

- getPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/grpc_pb.d.ts:1908

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1905

### hasPaymentAccountPayload

- hasPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1910

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1913

### setPaymentAccountPayload

- setPaymentAccountPayload(value?: PaymentAccountPayload): GetPaymentAccountFormRequest

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns GetPaymentAccountFormRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1909

### setPaymentMethodId

- setPaymentMethodId(value: string): GetPaymentAccountFormRequest

- #### Parameters

  - ##### value: string

  #### Returns GetPaymentAccountFormRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1906

### toObject

- toObject(includeInstance?: boolean): GetPaymentAccountFormRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPaymentAccountFormRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1914

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentAccountFormRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentAccountFormRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1917

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentAccountFormRequest, reader: BinaryReader): GetPaymentAccountFormRequest

- #### Parameters

  - ##### message: GetPaymentAccountFormRequest

  - ##### reader: BinaryReader

  #### Returns GetPaymentAccountFormRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1918

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentAccountFormRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPaymentAccountFormRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1916

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPaymentAccountFormRequest): GetPaymentAccountFormRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentAccountFormRequest

  #### Returns GetPaymentAccountFormRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1915

Generated using TypeDoc